Bug 154621 - New port: net/hostapd: authenticator for IEEE 802.11 networks
Summary: New port: net/hostapd: authenticator for IEEE 802.11 networks
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-09 19:50 UTC by leres
Modified: 2011-02-12 05:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2011-02-09 19:50:09 UTC
	This new port allows use of the current version of hostapd
	instead of what's part of the base.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk1S7tsACgkQWxlAhAje3JtvswCeJQtJT/gWwlcnmKb0rijuHKck
VCQAnAwHc71GswYp65pZFesDFuLLiLg2
=JshG
-----END PGP SIGNATURE-----

--------------010107050505040301000801
Content-Type: text/plain;
 name="patch-Makefile"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="patch-Makefile"

--- /dev/null	2011-02-09 05:16:21.000000000 -0800
+++ Makefile	2011-02-05 18:00:21.000000000 -0800
@@ -0,0 +1,43 @@
+# New ports collection makefile for:	hostapd
+# Date created:		05 February 2011
+# Whom:			leres@ee.lbl.gov
+#
+# $FreeBSD$
+#
+
+PORTNAME=	hostapd
+PORTVERSION=	0.7.3
+CATEGORIES=	net
+MASTER_SITES=	http://hostap.epitest.fi/releases/
+DISTNAME=	${PORTNAME}-${PORTVERSION}
+
+MAINTAINER=	leres@ee.lbl.gov
+COMMENT=	IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator
+
+USE_GMAKE=	yes
+
+MAN1=		hostapd_cli.1
+MAN8=		hostapd.8
+
+do-configure:
+	${CP} ${FILESDIR}/config ${WRKSRC}/hostapd/.config
+
+do-build:
+	(cd ${WRKSRC}/hostapd && ${GMAKE})
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/hostapd/hostapd ${PREFIX}/sbin
+	${INSTALL_PROGRAM} ${WRKSRC}/hostapd/hostapd_cli ${PREFIX}/sbin
+	${INSTALL_MAN} ${WRKSRC}/hostapd/${MAN1} ${PREFIX}/man/man1
+	${INSTALL_MAN} ${WRKSRC}/hostapd/${MAN8} ${PREFIX}/man/man8
+
+PLIST_FILES=	sbin/hostapd \
+		sbin/hostapd_cli
+
+#MAKE_JOBS_SAFE= yes
+#MANCOMPRESSED=	yes
+
+LICENSE=	GPLv1 BSD
+LICENSE_COMB=	dual
+
+.include <bsd.port.mk>

--------------010107050505040301000801
Content-Type: text/plain;
 name="patch-distinfo"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="patch-distinfo"

--- /dev/null	2011-02-09 05:16:21.000000000 -0800
+++ distinfo	2011-02-05 17:44:19.000000000 -0800
@@ -0,0 +1,2 @@
+SHA256 (hostapd-0.7.3.tar.gz) = 31eb2781f37e1a4c27969d1594f8019c0ca87779349c099ab812833289961567
+SIZE (hostapd-0.7.3.tar.gz) = 1138869

--------------010107050505040301000801
Content-Type: text/plain;
 name="patch-files::config"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="patch-files::config"

--- /dev/null	2011-02-09 05:16:21.000000000 -0800
+++ files/config	2011-02-05 17:46:14.000000000 -0800
@@ -0,0 +1,175 @@
+# FreeBSD hostapd build time configuration
+#
+# This file lists the configuration options that are used when building the
+# hostapd binary. All lines starting with # are ignored. Configuration option
+# lines must be commented out complete, if they are not to be included, i.e.,
+# just setting VARIABLE=n is not disabling that variable.
+#
+# This file is included in Makefile, so variables like CFLAGS and LIBS can also
+# be modified from here. In most cass, these lines should use += in order not
+# to override previous values of the variables.
+
+# Driver interface for Host AP driver
+#CONFIG_DRIVER_HOSTAP=y
+
+# Driver interface for wired authenticator
+#CONFIG_DRIVER_WIRED=y
+
+# Driver interface for madwifi driver
+#CONFIG_DRIVER_MADWIFI=y
+#CFLAGS += -I../../madwifi # change to the madwifi source directory
+
+# Driver interface for drivers using the nl80211 kernel interface
+#CONFIG_DRIVER_NL80211=y
+# driver_nl80211.c requires a rather new libnl (version 1.1) which may not be
+# shipped with your distribution yet. If that is the case, you need to build
+# newer libnl version and point the hostapd build to use it.
+#LIBNL=/usr/src/libnl
+#CFLAGS += -I$(LIBNL)/include
+#LIBS += -L$(LIBNL)/lib
+
+# Driver interface for FreeBSD net80211 layer (e.g., Atheros driver)
+CONFIG_DRIVER_BSD=y
+CFLAGS += -I/usr/local/include
+LIBS += -L/usr/local/lib
+LIBS_p += -L/usr/local/lib
+LIBS_c += -L/usr/local/lib
+
+# Driver interface for no driver (e.g., RADIUS server only)
+#CONFIG_DRIVER_NONE=y
+
+# IEEE 802.11F/IAPP
+#CONFIG_IAPP=y
+
+# WPA2/IEEE 802.11i RSN pre-authentication
+CONFIG_RSN_PREAUTH=y
+
+# PeerKey handshake for Station to Station Link (IEEE 802.11e DLS)
+#CONFIG_PEERKEY=y
+
+# IEEE 802.11w (management frame protection)
+# This version is an experimental implementation based on IEEE 802.11w/D1.0
+# draft and is subject to change since the standard has not yet been finalized.
+# Driver support is also needed for IEEE 802.11w.
+#CONFIG_IEEE80211W=y
+
+# Integrated EAP server
+CONFIG_EAP=y
+
+# EAP-MD5 for the integrated EAP server
+CONFIG_EAP_MD5=y
+
+# EAP-TLS for the integrated EAP server
+CONFIG_EAP_TLS=y
+
+# EAP-MSCHAPv2 for the integrated EAP server
+CONFIG_EAP_MSCHAPV2=y
+
+# EAP-PEAP for the integrated EAP server
+CONFIG_EAP_PEAP=y
+
+# EAP-GTC for the integrated EAP server
+CONFIG_EAP_GTC=y
+
+# EAP-TTLS for the integrated EAP server
+CONFIG_EAP_TTLS=y
+
+# EAP-SIM for the integrated EAP server
+#CONFIG_EAP_SIM=y
+
+# EAP-AKA for the integrated EAP server
+#CONFIG_EAP_AKA=y
+
+# EAP-AKA' for the integrated EAP server
+# This requires CONFIG_EAP_AKA to be enabled, too.
+#CONFIG_EAP_AKA_PRIME=y
+
+# EAP-PAX for the integrated EAP server
+#CONFIG_EAP_PAX=y
+
+# EAP-PSK for the integrated EAP server (this is _not_ needed for WPA-PSK)
+#CONFIG_EAP_PSK=y
+
+# EAP-SAKE for the integrated EAP server
+#CONFIG_EAP_SAKE=y
+
+# EAP-GPSK for the integrated EAP server
+#CONFIG_EAP_GPSK=y
+# Include support for optional SHA256 cipher suite in EAP-GPSK
+#CONFIG_EAP_GPSK_SHA256=y
+
+# EAP-FAST for the integrated EAP server
+# Note: Default OpenSSL package does not include support for all the
+# functionality needed for EAP-FAST. If EAP-FAST is enabled with OpenSSL,
+# the OpenSSL library must be patched (openssl-0.9.9-session-ticket.patch)
+# to add the needed functions.
+#CONFIG_EAP_FAST=y
+
+# Wi-Fi Protected Setup (WPS)
+#CONFIG_WPS=y
+# Enable UPnP support for external WPS Registrars
+#CONFIG_WPS_UPNP=y
+
+# EAP-IKEv2
+#CONFIG_EAP_IKEV2=y
+
+# Trusted Network Connect (EAP-TNC)
+#CONFIG_EAP_TNC=y
+
+# PKCS#12 (PFX) support (used to read private key and certificate file from
+# a file that usually has extension .p12 or .pfx)
+CONFIG_PKCS12=y
+
+# RADIUS authentication server. This provides access to the integrated EAP
+# server from external hosts using RADIUS.
+#CONFIG_RADIUS_SERVER=y
+
+# Build IPv6 support for RADIUS operations
+CONFIG_IPV6=y
+
+# IEEE Std 802.11r-2008 (Fast BSS Transition)
+#CONFIG_IEEE80211R=y
+
+# Use the hostapd's IEEE 802.11 authentication (ACL), but without
+# the IEEE 802.11 Management capability (e.g., madwifi or FreeBSD/net80211)
+CONFIG_DRIVER_RADIUS_ACL=y
+
+# IEEE 802.11n (High Throughput) support
+#CONFIG_IEEE80211N=y
+
+# Remove debugging code that is printing out debug messages to stdout.
+# This can be used to reduce the size of the hostapd considerably if debugging
+# code is not needed.
+#CONFIG_NO_STDOUT_DEBUG=y
+
+# Remove support for RADIUS accounting
+#CONFIG_NO_ACCOUNTING=y
+
+# Remove support for RADIUS
+#CONFIG_NO_RADIUS=y
+
+# Remove support for VLANs
+#CONFIG_NO_VLAN=y
+
+# Remove support for dumping state into a file on SIGUSR1 signal
+# This can be used to reduce binary size at the cost of disabling a debugging
+# option.
+#CONFIG_NO_DUMP_STATE=y
+
+# Enable tracing code for developer debugging
+# This tracks use of memory allocations and other registrations and reports
+# incorrect use with a backtrace of call (or allocation) location.
+#CONFIG_WPA_TRACE=y
+# For BSD, comment out these.
+#LIBS += -lexecinfo
+#LIBS_p += -lexecinfo
+#LIBS_c += -lexecinfo
+
+# Use libbfd to get more details for developer debugging
+# This enables use of libbfd to get more detailed symbols for the backtraces
+# generated by CONFIG_WPA_TRACE=y.
+#CONFIG_WPA_TRACE_BFD=y
+# For BSD, comment out these.
+#LIBS += -lbfd -liberty -lz
+#LIBS_p += -lbfd -liberty -lz
+#LIBS_c += -lbfd -liberty -lz

--------------010107050505040301000801
Content-Type: text/plain;
 name="patch-files::patch-src-l2_packet-l2_packet_freebsd.c"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="patch-files::patch-src-l2_packet-l2_packet_freebsd.c"

--- /dev/null	2011-02-09 05:16:21.000000000 -0800
+++ files/patch-src-l2_packet-l2_packet_freebsd.c	2011-02-05 17:44:27.000000000 -0800
@@ -0,0 +1,11 @@
+--- src/l2_packet/l2_packet_freebsd.c.orig	2011-02-05 17:11:19.000000000 -0800
++++ src/l2_packet/l2_packet_freebsd.c	2011-02-05 17:11:35.000000000 -0800
+@@ -14,7 +14,7 @@
+  */
+ 
+ #include "includes.h"
+-#if defined(__APPLE__) || defined(__GLIBC__)
++#if defined(__FreeBSD__) || defined(__APPLE__) || defined(__GLIBC__)
+ #include <net/bpf.h>
+ #endif /* __APPLE__ */
+ #include <pcap.h>

--------------010107050505040301000801
Content-Type: text/plain;
 name="patch-pkg-descr"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="patch-pkg-descr"

--- /dev/null	2011-02-09 05:16:21.000000000 -0800
+++ pkg-descr	2011-02-05 17:59:50.000000000 -0800
@@ -0,0 +1,13 @@
+hostapd is a user space daemon for access point and authentication
+servers. It implements IEEE 802.11 access point management, IEEE
+802.1X/WPA/WPA2/EAP Authenticators, RADIUS client, EAP server, and
+RADIUS authentication server. The current version supports Linux
+(Host AP, madwifi, mac80211-based drivers) and FreeBSD (net80211).
+
+To use the ports version instead of the base, add:
+
+    hostapd_program="/usr/local/sbin/hostapd"
+
+to /etc/rc.conf
+
+WWW: http://hostap.epitest.fi/hostapd/

--------------010107050505040301000801
Content-Type: application/octet-stream;
 name="patch-Makefile.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-Makefile.sig"

iEYEABECAAYFAk1S7tsACgkQWxlAhAje3JvShQCcCmtIkJLN38y3giPpuUwguYsc2Z8Anj36
V1ONzjFWqU6HiKYs5CDxz7Jh
--------------010107050505040301000801
Content-Type: application/octet-stream;
 name="patch-distinfo.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-distinfo.sig"

iEYEABECAAYFAk1S7tsACgkQWxlAhAje3JvXsgCbBkNaqth4cby1aZjlSDX5q8Z/GZAAnR3P
ot7F6hGJjQ7Q4j6RvHfWS4ZB
--------------010107050505040301000801
Content-Type: application/octet-stream;
 name="patch-files::config.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-files::config.sig"

iEYEABECAAYFAk1S7tsACgkQWxlAhAje3JuujQCeO0QtwUeVEl//u/SP2ZOwZP7XqlUAn2P0
OVcZrW6um79Q7csd/BQ4X9ih
--------------010107050505040301000801
Content-Type: application/octet-stream;
 name="patch-files::patch-src-l2_packet-l2_packet_freebsd.c.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="patch-files::patch-src-l2_packet-l2_packet_freebsd.c.sig"

iEYEABECAAYFAk1S7tsACgkQWxlAhAje3JuPTgCeIT/yi+gkJW3bMHtbUzZ/jBcF29kAn3WH
fsFkrQ68pFHXdy00vJnl5H1c
--------------010107050505040301000801
Content-Type: application/octet-stream;
 name="patch-pkg-descr.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-pkg-descr.sig"

iEYEABECAAYFAk1S7twACgkQWxlAhAje3JsLKACfT/8eEmApn3XYz/wtbkunHIh/8qUAn04z
l6QbYIEgDudEo1pyHuSjMn3G
--------------010107050505040301000801--
Comment 1 Martin Wilke freebsd_committer 2011-02-09 22:52:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2011-02-12 03:52:18 UTC
State Changed
From-To: open->feedback

can u please resent as attachment direct to me. thx
Comment 3 Martin Wilke freebsd_committer 2011-02-12 04:52:36 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 4 dfilter freebsd_committer 2011-02-12 04:52:52 UTC
miwi        2011-02-12 04:52:47 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/hostapd          Makefile distinfo pkg-descr 
    net/hostapd/files    config 
                         patch-src-l2_packet-l2_packet_freebsd.c 
  Log:
  hostapd is a user space daemon for access point and authentication
  servers. It implements IEEE 802.11 access point management, IEEE
  802.1X/WPA/WPA2/EAP Authenticators, RADIUS client, EAP server, and
  RADIUS authentication server. The current version supports Linux
  (Host AP, madwifi, mac80211-based drivers) and FreeBSD (net80211).
  
  WWW: http://hostap.epitest.fi/hostapd/
  
  PR:             ports/154621
  Submitted by:   leres at ee.lbl.gov
  
  Revision  Changes    Path
  1.2313    +1 -0      ports/net/Makefile
  1.1       +43 -0     ports/net/hostapd/Makefile (new)
  1.1       +2 -0      ports/net/hostapd/distinfo (new)
  1.1       +175 -0    ports/net/hostapd/files/config (new)
  1.1       +11 -0     ports/net/hostapd/files/patch-src-l2_packet-l2_packet_freebsd.c (new)
  1.1       +13 -0     ports/net/hostapd/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"